# example.js

``` javascript
function getTemplate(templateName, callback) {
	require.ensure([], function(require) {
		callback(require("../require.context/templates/"+templateName)());
	});
}
getTemplate("a", function(a) {
	console.log(a);
});
getTemplate("b", function(b) {
	console.log(b);
});
```

# js/output.js

``` javascript
/******/(function(document, undefined) {
/******/	return function(modules) {
/******/		var installedModules = {}, installedChunks = {0:1};
/******/		function require(moduleId) {
/******/			if(typeof moduleId !== "number") throw new Error("Cannot find module '"+moduleId+"'");
/******/			if(installedModules[moduleId])
/******/				return installedModules[moduleId].exports;
/******/			var module = installedModules[moduleId] = {
/******/				exports: {},
/******/				id: moduleId,
/******/				loaded: false
/******/			};
/******/			modules[moduleId](module, module.exports, require);
/******/			module.loaded = true;
/******/			return module.exports;
/******/		}
/******/		require.e = function(chunkId, callback) {
/******/			if(installedChunks[chunkId] === 1) return callback(require);
/******/			if(installedChunks[chunkId] !== undefined)
/******/				installedChunks[chunkId].push(callback);
/******/			else {
/******/				installedChunks[chunkId] = [callback];
/******/				var head = document.getElementsByTagName('head')[0];
/******/				var script = document.createElement('script');
/******/				script.type = 'text/javascript';
/******/				script.charset = 'utf-8';
/******/				script.src = modules.c+chunkId+modules.a;
/******/				head.appendChild(script);
/******/			}
/******/		};
/******/		require.modules = modules;
/******/		require.cache = installedModules;
/******/		window[modules.b] = function(chunkId, moreModules) {
/******/			for(var moduleId in moreModules)
/******/				modules[moduleId] = moreModules[moduleId];
/******/			var callbacks = installedChunks[chunkId];
/******/			installedChunks[chunkId] = 1;
/******/			for(var i = 0; i < callbacks.length; i++)
/******/				callbacks[i](require);
/******/		};
/******/		return require(0);
/******/	}
/******/})(document)
/******/({a:".output.js",b:"webpackJsonp",c:"",
/******/0: function(module, exports, require) {

/*** .\example.js ***/

/******/ /* WEBPACK FREE VAR INJECTION */ (function(console) {
function getTemplate(templateName, callback) {
	require.e(1, function(require) {
		callback(require(/* ../require.context/templates */2)("./"+templateName)());
	});
}
getTemplate("a", function(a) {
	console.log(a);
});
getTemplate("b", function(b) {
	console.log(b);
});
/******/ /* WEBPACK FREE VAR INJECTION */ }(require(/* __webpack_console */1)))

/******/},
/******/
/******/1: function(module, exports, require) {

/*** (webpack)\buildin\__webpack_console.js ***/

var console = (function() { return this["console"] || (this["window"] && this["window"].console) || {} }());
module.exports = console;
for(var name in {log:1, info:1, error:1, warn:1, dir:1, trace:1, assert:1})
	if(!console[name])
		console[name] = function() {};
var times = {};
if(!console.time)
console.time = function(label) {
	times[label] = Date.now();
};
if(!console.timeEnd)
console.timeEnd = function() {
	var duration = Date.now() - times[label];
	console.log('%s: %dms', label, duration);
};

/******/},
/******/
/******/})
```

# js/1.output.js

``` javascript
/******/webpackJsonp(1, {
/******/2: function(module, exports, require) {

/*** (webpack)\examples\require.context\templates ***/

/***/	var map = {"./a.js":3,"./b.js":4,"./c.js":5},
/***/	requireInContext = module.exports = function(name) {
/***/		return require(map[name+""] || map[name+".webpack.js"] || map[name+".web.js"] || map[name+".js"]||name);
/***/	};
/***/	requireInContext.keys = function() { return Object.keys(map) }

/******/},
/******/
/******/3: function(module, exports, require) {

/*** (webpack)\examples\require.context\templates\a.js ***/

module.exports = function() {
	return "This text was generated by template A";
}

/******/},
/******/
/******/4: function(module, exports, require) {

/*** (webpack)\examples\require.context\templates\b.js ***/

module.exports = function() {
	return "This text was generated by template B";
}

/******/},
/******/
/******/5: function(module, exports, require) {

/*** (webpack)\examples\require.context\templates\c.js ***/

module.exports = function() {
	return "This text was generated by template C";
}

/******/},
/******/
/******/})
```

# Info

## Uncompressed

```
Hash: 1782c323238112211ad2f04896d358db
Compile Time: 39ms
Chunks: 2
Modules: 6
Modules including duplicates: 6
Modules per chunk: 3
Modules first chunk: 2
   output.js:     3041 characters
 1.output.js:     1105 characters

 <id>    <size>  <filename>
       <reason> from <filename>
output.js
    0       280  .\example.js
       main
    1       516  (webpack)\buildin\__webpack_console.js
       require (2x) from .\example.js
1.output.js
    2       300  [context] (webpack)\examples\require.context\templates
       async context from .\example.js
    3        82  (webpack)\examples\require.context\templates\a.js
       async context from .\example.js
    4        82  (webpack)\examples\require.context\templates\b.js
       async context from .\example.js
    5        82  (webpack)\examples\require.context\templates\c.js
       async context from .\example.js
```

## Minimized (uglify-js, no zip)

```
Hash: 26040949e1e15270899471a6db72d142
Compile Time: 120ms
Chunks: 2
Modules: 6
Modules including duplicates: 6
Modules per chunk: 3
Modules first chunk: 2
   output.js:     1161 characters
 1.output.js:      473 characters

 <id>    <size>  <filename>
       <reason> from <filename>
output.js
    0       159  .\example.js
       main
    1       402  (webpack)\buildin\__webpack_console.js
       require (2x) from .\example.js
1.output.js
    2       228  [context] (webpack)\examples\require.context\templates
       async context from .\example.js
    3        72  (webpack)\examples\require.context\templates\a.js
       async context from .\example.js
    4        72  (webpack)\examples\require.context\templates\b.js
       async context from .\example.js
    5        72  (webpack)\examples\require.context\templates\c.js
       async context from .\example.js
```
