# example.js

``` javascript
function getTemplate(templateName) {
	return require("./templates/"+templateName);
}
console.log(getTemplate("a"));
console.log(getTemplate("b"));
```

# templates/

* a.js
* b.js
* c.js

All templates are of this pattern:

``` javascript
module.exports = function() {
	return "This text was generated by template X";
}
```

# js/output.js

``` javascript
/******/(function(modules) {
/******/	var installedModules = {};
/******/	function require(moduleId) {
/******/		if(typeof moduleId !== "number") throw new Error("Cannot find module '"+moduleId+"'");
/******/		if(installedModules[moduleId])
/******/			return installedModules[moduleId].exports;
/******/		var module = installedModules[moduleId] = {
/******/			exports: {},
/******/			id: moduleId,
/******/			loaded: false
/******/		};
/******/		modules[moduleId](module, module.exports, require);
/******/		module.loaded = true;
/******/		return module.exports;
/******/	}
/******/	require.e = function(chunkId, callback) {
/******/		callback(require);
/******/	};
/******/	require.modules = modules;
/******/	require.cache = installedModules;
/******/	return require(0);
/******/})
/******/({c:"",
/******/0: function(module, exports, require) {

/*** .\example.js ***/

/******/ /* WEBPACK FREE VAR INJECTION */ (function(console) {
function getTemplate(templateName) {
	return require(/* ./templates */2)("./"+templateName);
}
console.log(getTemplate("a"));
console.log(getTemplate("b"));
/******/ /* WEBPACK FREE VAR INJECTION */ }(require(/* __webpack_console */1)))

/******/},
/******/
/******/1: function(module, exports, require) {

/*** (webpack)\buildin\__webpack_console.js ***/

var console = (function() { return this["console"] || (this["window"] && this["window"].console) || {} }());
module.exports = console;
for(var name in {log:1, info:1, error:1, warn:1, dir:1, trace:1, assert:1})
	if(!console[name])
		console[name] = function() {};
var times = {};
if(!console.time)
console.time = function(label) {
	times[label] = Date.now();
};
if(!console.timeEnd)
console.timeEnd = function() {
	var duration = Date.now() - times[label];
	console.log('%s: %dms', label, duration);
};

/******/},
/******/
/******/2: function(module, exports, require) {

/*** .\templates ***/

/***/	var map = {"./a.js":3,"./b.js":4,"./c.js":5},
/***/	requireInContext = module.exports = function(name) {
/***/		return require(map[name+""] || map[name+".webpack.js"] || map[name+".web.js"] || map[name+".js"]||name);
/***/	};
/***/	requireInContext.keys = function() { return Object.keys(map) }

/******/},
/******/
/******/3: function(module, exports, require) {

/*** .\templates\a.js ***/

module.exports = function() {
	return "This text was generated by template A";
}

/******/},
/******/
/******/4: function(module, exports, require) {

/*** .\templates\b.js ***/

module.exports = function() {
	return "This text was generated by template B";
}

/******/},
/******/
/******/5: function(module, exports, require) {

/*** .\templates\c.js ***/

module.exports = function() {
	return "This text was generated by template C";
}

/******/},
/******/
/******/})
```

# Info

## Uncompressed

```
Hash: e4fced19a2a5efeaea1f7ec4141ae451
Compile Time: 35ms
Chunks: 1
Modules: 6
Modules including duplicates: 6
Modules per chunk: 6
Modules first chunk: 6
   output.js:     2804 characters

 <id>    <size>  <filename>
       <reason> from <filename>
output.js
    0       160  .\example.js
       main
    1       516  (webpack)\buildin\__webpack_console.js
       require (2x) from .\example.js
    2       300  [context] .\templates
       context from .\example.js
    3        82  .\templates\a.js
       context from .\example.js
    4        82  .\templates\b.js
       context from .\example.js
    5        82  .\templates\c.js
       context from .\example.js
```

## Minimized (uglify-js, no zip)

```
Hash: e4f892229bbb95c564b7d14805cc0c12
Compile Time: 101ms
Chunks: 1
Modules: 6
Modules including duplicates: 6
Modules per chunk: 6
Modules first chunk: 6
   output.js:     1187 characters

 <id>    <size>  <filename>
       <reason> from <filename>
output.js
    0       109  .\example.js
       main
    1       402  (webpack)\buildin\__webpack_console.js
       require (2x) from .\example.js
    2       228  [context] .\templates
       context from .\example.js
    3        72  .\templates\a.js
       context from .\example.js
    4        72  .\templates\b.js
       context from .\example.js
    5        72  .\templates\c.js
       context from .\example.js
```

# Code Splitting

See [this example combined with code splitting](/sokra/modules-webpack/tree/master/examples/code-splitted-require.context)
